package org.gcube.application.geoportal.service;

import java.io.IOException;
import java.util.List;

import javax.ws.rs.client.Entity;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import org.gcube.application.geoportal.common.model.legacy.Concessione;
import org.gcube.application.geoportal.service.utils.Serialization;
import org.junit.Test;

public class ConcessioniOverMongoTest extends BasicServiceTestUnit{

	
	private static final String PATH="mongo-concessioni";

	
	@Test
	public void list() {
		WebTarget target=target(PATH);
		System.out.println(target.request(MediaType.APPLICATION_JSON).get(List.class));
	}
	
	@Test
	public void createNew() throws Exception {
		WebTarget target=target(PATH);
		Concessione conc=TestModel.prepareConcessione();
		Response resp=target.request(MediaType.APPLICATION_JSON).post(Entity.entity(Serialization.write(conc), MediaType.APPLICATION_JSON));
		Concessione c=check(resp,Concessione.class);
		System.out.println("ID IS "+c.getMongo_id());
	}
	
}
